/**
 * @file
 * Vue-cart index.js.
 */

// Vue.use(Vuex);

const store = new Vuex.Store({
  state: {
    cart: {
      items: {},
      quantity: 0,
      total: 0,
    },
    favorite: {
      total: 0,
    },
  },
  mutations: {
    updateCart(state, cart) {
      state.cart = cart;
    },
    updateFavorite(state, fav) {
      state.favorite = fav;
    },
  },
});

window.addEventListener("DOMContentLoaded", function () {
  vueCartApp("#cart-favorite-small");
  vueCartApp("#app-cart");
  vueCartApp(".product-full");
  vueCartApp(".product-teaser");
});

function vueCartApp(el) {
  "use strict";
  const delimiters = ["${", "}"];
  const comments = true;
  const elements = document.querySelectorAll(el);
  const each = Array.prototype.forEach;
  each.call(elements, (el, i) => {
    new Vue({ delimiters, comments, store, el });
  });
}
